Tigrina API
Retrieves a set of cellular WAN information relating to a specific Hera 604 router.
Successful response
GET /Japi/Diam/getCellularInformation HTTP/1.1
Host: tigrina.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 30
{
"ESN": "12345678901234567890"
}Successful response
{
"status": {
"status": "OK",
"errorCode": "",
"errorMessage": ""
},
"Router": {
"ESN": "12345678901234567890",
"ICCID": "8944538523001234567",
"IMEI": "359076061234567",
"SIMProfile": "Sim1",
"CellularConnection": {
"Sims": {
"ChipSim": [],
"Sim1": {
"ICCID": "8944538523001234567",
"IMSI": "TBD"
},
"Sim2": {
"ICCID": "8944538523001234568",
"IMSI": "TBD"
}
}
},
"NetworkStatus": {
"RSSI": "-87dBm",
"Timestamp": "2015-05-02 00:12:45",
"NetworkName": "vodaUK",
"RAT": "lte",
"IPAddress": "10.12.34.56"
},
"location": {
"Lat": "53.1234562",
"Lon": "-1.54678"
}
}
}Retrieves a set of historic RSSI values relating to a specific Hera 604 router.
Successful response
GET /Japi/Diam/getCellularRSSIHistory HTTP/1.1
Host: tigrina.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 30
{
"ESN": "12345678901234567890"
}Successful response
{
"status": {
"status": "OK",
"errorCode": "",
"errorMessage": ""
},
"Router": {
"ESN": "12345678901234567890",
"ICCID": "8944538523001234567",
"signal": [
{
"Timestamp": "2015-05-02 00:12:45",
"RSSI": "-90dBm",
"NetworkName": "Vodafone",
"RAT": "lte"
},
{
"Timestamp": "2015-05-03 08:12:00",
"RSSI": "-87dBm",
"NetworkName": "O2",
"RAT": "UMTS"
}
]
}
}Retrieves device information relating to a specific Hera 604 router.
Successful response
No content
GET /Japi/Diam/getDeviceInformation HTTP/1.1
Host: tigrina.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 30
{
"ESN": "12345678901234567890"
}Successful response
No content
Retrieves a set of LAN information relating to a specific Hera 604 router.
Successful response
No content
GET /Japi/Diam/getNetworkInformation HTTP/1.1
Host: tigrina.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 30
{
"ESN": "12345678901234567890"
}Successful response
No content
Logs in the user using the supplied credentials. The session times out after 1440 seconds of inactivity. If you attempt to use a session cookie after that session has timed out, you will need to log in again.
Successful response
POST /Japi/Diam/login HTTP/1.1
Host: tigrina.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 100
{
"username": "Example@Username.com",
"password": "examplepassword",
"portfolioID": "CustomerPortfolioID"
}Successful response
{
"cookie": ".{0,255}",
"status": {
"status": "OK",
"errorCode": "",
"errorMessage": ""
}
}Last updated
Was this helpful?